Search agents
curl --request GET \
--url https://{command_center_host}/api/v1/agents/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://{command_center_host}/api/v1/agents/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{command_center_host}/api/v1/agents/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "agt_a9bf5a2b-...",
"name": "linux-ops - web-01",
"status": "idle",
"org_id": "org_460b541c-...",
"tenant_id": "ten_115bea44-...",
"host_id": "hst_8272f9b4-...",
"specialty_id": "spc_9e274f8c-...",
"main_engine": "qwen3-coder-480b",
"secondary_engine": "qwen3-coder-30b",
"remote_execution": true,
"credential_config": [
{
"credential_id": "crd_1f3c8a90-...",
"credential_role": "ssh_username",
"order": 123,
"is_required": true
}
],
"disabled_rule_ids": [
"<string>"
],
"accessible_credential_ids": [
"<string>"
],
"created_at": "2026-08-26T10:00:26.380Z",
"updated_at": "2026-08-26T10:00:26.380Z"
}
],
"has_more": true,
"total_count": 123
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}Agents
Search agents
GET
/
api
/
v1
/
agents
/
search
Search agents
Authorizations
An API key minted in Command Center (Settings -> API Keys), sent as Authorization: Bearer 2501_ak_.... A Command Center session cookie is also accepted.
Query Parameters
Available options:
total_count ⌘I

